BVN Verification
curl --request POST \
--url https://adhere-api.smartcomply.com/api/onboarding/nigeria_kyc/bvn/ \
--header 'Content-Type: application/json' \
--header 'x-access-token: <api-key>' \
--data '
{
"bvn": "22244545518"
}
'import requests
url = "https://adhere-api.smartcomply.com/api/onboarding/nigeria_kyc/bvn/"
payload = { "bvn": "22244545518" }
headers = {
"x-access-token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-access-token': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({bvn: '22244545518'})
};
fetch('https://adhere-api.smartcomply.com/api/onboarding/nigeria_kyc/bvn/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "failed",
"data": [
"<unknown>"
],
"message": "<string>"
}{
"status": "failed",
"message": "Authentication credentials were not provided."
}Nigeria
Numéro de Vérification Bancaire (BVN)
Vérifiez l’identité d’un client à l’aide de son Numéro de Vérification Bancaire à 11 chiffres.
POST
/
api
/
onboarding
/
nigeria_kyc
/
bvn
/
BVN Verification
L’endpoint BVN vérifie le Numéro de Vérification Bancaire d’un client et renvoie ses données personnelles enregistrées depuis la base de données de la Banque Centrale du Nigéria. Utilisez-le pour l’intégration KYC, la confirmation d’identité et la prévention de la fraude.
Endpoint
POST /api/onboarding/nigeria_kyc/bvn/
Requête
En-têtes
| En-tête | Valeur | Requis |
|---|---|---|
x-access-token | Votre clé secrète API | Oui |
Content-Type | application/json | Oui |
Paramètres de corps
| Paramètre | Type | Requis | Description |
|---|---|---|---|
bvn | string | Oui | Le Numéro de Vérification Bancaire à 11 chiffres du client |
Exemple
curl -X POST "https://adhere-api.smartcomply.com/api/onboarding/nigeria_kyc/bvn/" \
-H "x-access-token: YOUR_SECRET_KEY" \
-H "Content-Type: application/json" \
-d '{"bvn": "22000000001"}'
const response = await fetch(
"https://adhere-api.smartcomply.com/api/onboarding/nigeria_kyc/bvn/",
{
method: "POST",
headers: {
"x-access-token": "YOUR_SECRET_KEY",
"Content-Type": "application/json",
},
body: JSON.stringify({ bvn: "22000000001" }),
}
);
const data = await response.json();
import requests
response = requests.post(
"https://adhere-api.smartcomply.com/api/onboarding/nigeria_kyc/bvn/",
headers={
"x-access-token": "YOUR_SECRET_KEY",
"Content-Type": "application/json",
},
json={"bvn": "22000000001"},
)
data = response.json()
Réponse
200 OK
| Champ | Type | Description |
|---|---|---|
status | string | "success" en cas de vérification réussie |
data.lastName | string | Nom de famille du client tel qu’enregistré |
data.firstName | string | Prénom du client tel qu’enregistré |
data.middleName | string | Deuxième prénom du client |
data.dateOfBirth | string | Date de naissance au format YYYY-MM-DD |
data.phoneNumber1 | string | Numéro de téléphone principal enregistré |
message | string | Résumé du résultat lisible par l’homme |
{
"status": "success",
"data": {
"lastName": "OMOLE",
"firstName": "ABRAHAM",
"middleName": "ISAAC",
"dateOfBirth": "1909-09-19",
"phoneNumber1": "09011001100"
},
"message": "Bank Verification Number details retrieved successfully"
}
400 Bad Request
Renvoyé lorsque le BVN est manquant, malformé ou introuvable dans la base de données.{
"status": "failed",
"data": [],
"message": "Sorry, your check cannot be processed at the moment. Please try again in a few minutes"
}
401 Unauthorized
Renvoyé lorsque l’en-têtex-access-token est manquant ou invalide.
{
"status": "failed",
"message": "Authentication credentials were not provided."
}
Pour une liste complète des codes d’erreur, consultez la référence Codes d’erreur.

